// import XLSX from "xlsx";

/* eslint-disable */
/*
export default{
    getUrlKey: function (name) {
        return decodeURIComponent((new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(location.href) || [, ""])[1].replace(/\+/g, '%20')) || null
    }
}
/!**
 *  excel文件导出
 * 参数： dateList (json数据 数组对象) 所有数据 不只是当前分页查询数据
 *        filename (导出excel文件名字符串类型)
 *        keyList (对应表头数据列表) 例：[{en:"companyName",cn:"单位姓名"}]  en 为获取json数据的key,cn为页面表格中表头对应的名称
 *        keyList的key必须按照例子定义 en  和cn
 *!/
export function exportExcel(dateList,filename,keyList) {
  let keyListVal=keyList
  let ws = XLSX.utils.json_to_sheet(dateList);
  console.log(ws)
  for (const i in ws) {
    for (const k in keyList) {
      if (ws[i].v == keyListVal[k].headKey) {
        ws[i].v=keyList[k].lspzmc
      }
    }
  }
  var wb = XLSX.utils.book_new();
  XLSX.utils.book_append_sheet(wb, ws, "People");
  /!* 生成xlsx文件 *!/
  XLSX.writeFile(wb, `${filename}.xlsx`);
}
*/
export function dateFormat(timedate) {
    if (timedate === null || timedate === undefined) {
        return "";
    } else {
        let arr;
        // 首先对日期进行拆解，获得日期字符串
        if (timedate.indexOf("T") > -1) {
            arr = timedate.split("T");
        } else {
            arr = timedate.split(" ");
        }
        var d = arr[0];
        var darr = d.split("-");
        var t = arr[1];
        var tarr = t.split(".000");
        var marr = tarr[0].split(":");
        var dd =
            parseInt(darr[0]) +
            "/" +
            parseInt(darr[1]) +
            "/" +
            parseInt(darr[2]) +
            " " +
            parseInt(marr[0]) +
            ":" +
            parseInt(marr[1]) +
            ":" +
            parseInt(marr[2]);

        const date = new Date(Date.parse(dd));
        date.setTime(date.setHours(date.getHours() + 8));

        var year = date.getFullYear();
        /* 在日期格式中，月份是从0开始的，因此要加0
         * 使用三元表达式在小于10的前面加0，以达到格式统一  如 09:11:05
         * */
        var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
        var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
        // var hours = date.getHours() < 10 ? '0' + date.getHours() : date.getHours()
        // var minutes = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()
        // var seconds = date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds()
        // 拼接
        // return (year + '-' + month + '-' + day + ' ' + hours + ':' + minutes + ':' + seconds)
        return year + "-" + month + "-" + day;
    }
}
export function getNowDate() {
    var date = new Date();
    var year = date.getFullYear();
    var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
    var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
    return year + "-" + month + "-" + day;
}

export function dateFormatter(time) {
    var date = new Date(time);
    var year = date.getFullYear();
    var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
    var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
    var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
    var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
    var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
    return `${year}-${month}-${day}`;
}

export function newDate(str) {
    //解决new Date()IE10不支持参数
    //首先将日期分隔 ，获取到日期部分 和 时间部分
    let day = str.split(" ");
    //获取日期部分的年月日
    let days = day[0].split("-");
    //获取时间部分的 时分秒
    let mi = day[day.length - 1].split(":");
    //获取当前date类型日期
    let date = new Date();
    //给date赋值  年月日
    date.setUTCFullYear(days[0], days[1] - 1, days[2]);
    //给date赋值 时分秒  首先转换utc时区 ：+8
    // date.setUTCHours(mi[0] - 8, mi[1], mi[2]);
    return date;
}
